#ifndef UTILS_H
#define UTILS_H


#include <gint/display.h>
#include <gint/std/stdlib.h>
#include <string.h>


size_t image_size_profile(int profile, int width, int height);

size_t image_size(bopti_image_t const *img);

int get_pixel(bopti_image_t const *img, int x, int y);

void set_pixel(bopti_image_t *img, int x, int y, int color);

bopti_image_t *resize(bopti_image_t const *src, int w, int h);

#endif // UTILS_H
